-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009, 2010, 2011, 2012 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

startx = 1
starty = 20

-- defineTile section
defineTile('T', "TREE")
defineTile("#", "WALL")
defineTile("-", "FLOOR")
defineTile(".", "GRASS")
defineTile("<", "GRASS_UP_WILDERNESS")
defineTile('+', "DOOR")

defineTile("o", "FLOOR", nil, {random_filter={name="cutpurse"}})
defineTile("p", "GRASS", nil, {random_filter={name="cutpurse"}})
defineTile("P", "GRASS", nil, {random_filter={name="human guard"}})
defineTile("O", "FLOOR", nil, "ARMORY_MASTER")

defineTile("l", "FLOOR", {random_filter={name = "alchemist's lamp",ego_chance=100}})

defineTile('x', 'FLOOR', {random_filter={name='steel waraxe', add_levels=10, ego_chance=100}})
defineTile('X', 'FLOOR', {random_filter={name='steel battleaxe', add_levels=10, ego_chance=100}})

defineTile('s', 'FLOOR', {random_filter={name='steel longsword' , add_levels=10, ego_chance=100}})
defineTile('S', 'FLOOR', {random_filter={name='steel greatsword', add_levels=10, ego_chance=100}})

defineTile('b', 'FLOOR', {random_filter={name='ash longbow', add_levels=10, ego_chance=100}})
defineTile('B', 'FLOOR', {random_filter={name='quiver of elm arrows', add_levels=10, ego_chance=100}})

defineTile('w', 'FLOOR', {random_filter={name='cured leather sling', add_levels=10, ego_chance=100}})
defineTile('W', 'FLOOR', {random_filter={name='pouch of steel shots', add_levels=10, ego_chance=100}})

defineTile('k', 'FLOOR', {random_filter={name='steel dagger', add_levels=10, ego_chance=100}})

-- ASCII map section
return [[
TTTTTTTTTTTTTTTTTTTTTTTTTTT
TTTTTTT...........TT.TTTTTT
TTTTTT..#########.T.TT.TTTT
T....T..#---#---#.....T..TT
TT..T...#--o#--o#.....TT.TT
TT....T.#---#o--#####..p.TT
T.....T.#---#---#---#.....T
T....TT.#o--#---#---#.....T
TT..TTT.#---#---#---####..T
TT..TT..##+###+##---#kk#..T
T.TT...P#-------#--l#xX#.TT
T..T....+-----o-+--O+sS#..T
T...T..P#-------#---#bB#..T
T.TT....##+###+##---#wW#..T
T.T.T...#---#---#---####..T
T.TTT.T.#o--#---#---#.....T
TT....T.#---#---#---#....TT
TT.T.TT.#---#---#####.TTTTT
TT.TTTT.#---#--o#.....T..TT
T...T...#########..TTT..TTT
T<TT.TT...........TTTTTTTTT
TTTTTTTTTTTTTTTTTTTTTTTTTTT]]
